Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Class TextHelpModelEvent

    java.lang.Object
      java.util.EventObject
          javax.help.event.TextHelpModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class TextHelpModelEvent
extends java.util.EventObject

Notifies interested parties when a change in a TextHelpModel occurs. The listener should query the source for details.

See Also:
  Serialized Form

Constructor Summary
`TextHelpModelEvent(java.lang.Object source)` Creates a TextHelpModelEvent.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextHelpModelEvent

    public TextHelpModelEvent(java.lang.Object source)

  Creates a TextHelpModelEvent.

Parameters:
  `source` - The source for this event. Implements TextHelpModel
Throws:
  `java.lang.IllegalArgumentException` - if source is null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD